Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.multi
Class MultiTreeUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.TreeUI
                  |
                  +--javax.swing.plaf.multi.MultiTreeUI

public class MultiTreeUI
extends TreeUI

MultiTreeUI implementation

This file was automatically generated by AutoMulti.

Field Summary
`protected java.util.Vector` | `uis` The Vector containing the real UI's.

Constructor Summary
`MultiTreeUI()`

Method Summary
`void` | `cancelEditing(JTree a)` Call cancelEditing on each UI handled by this MultiUI.
`boolean` | `contains(JComponent a, int b, int c)` Call contains on each UI handled by this MultiUI.
`static ComponentUI` | `createUI(JComponent a)` Return a multiplexing UI instance if any of the auxiliary LookAndFeels support this UI.
`Accessible` | `getAccessibleChild(JComponent a, int b)` Call getAccessibleChild on each UI handled by this MultiUI.
`int` | `getAccessibleChildrenCount(JComponent a)` Call getAccessibleChildrenCount on each UI handled by this MultiUI.
`TreePath` | `getClosestPathForLocation(JTree a, int b, int c)` Call getClosestPathForLocation on each UI handled by this MultiUI.
`TreePath` | `getEditingPath(JTree a)` Call getEditingPath on each UI handled by this MultiUI.
`java.awt.Dimension` | `getMaximumSize(JComponent a)` Call getMaximumSize on each UI handled by this MultiUI.
`java.awt.Dimension` | `getMinimumSize(JComponent a)` Call getMinimumSize on each UI handled by this MultiUI.
`java.awt.Rectangle` | `getPathBounds(JTree a, TreePath b)` Call getPathBounds on each UI handled by this MultiUI.
`TreePath` | `getPathForRow(JTree a, int b)` Call getPathForRow on each UI handled by this MultiUI.
`java.awt.Dimension` | `getPreferredSize(JComponent a)` Call getPreferredSize on each UI handled by this MultiUI.
`int` | `getRowCount(JTree a)` Call getRowCount on each UI handled by this MultiUI.
`int` | `getRowForPath(JTree a, TreePath b)` Call getRowForPath on each UI handled by this MultiUI.
`ComponentUI[]` | `getUIs()` Return the list of UI's associated with this multiplexing UI.
`void` | `installUI(JComponent a)` Call installUI on each UI handled by this MultiUI.
`boolean` | `isEditing(JTree a)` Call isEditing on each UI handled by this MultiUI.
`void` | `paint(java.awt.Graphics a, JComponent b)` Call paint on each UI handled by this MultiUI.
`void` | `startEditingAtPath(JTree a, TreePath b)` Call startEditingAtPath on each UI handled by this MultiUI.
`boolean` | `stopEditing(JTree a)` Call stopEditing on each UI handled by this MultiUI.
`void` | `uninstallUI(JComponent a)` Call uninstallUI on each UI handled by this MultiUI.
`void` | `update(java.awt.Graphics a, JComponent b)` Call update on each UI handled by this MultiUI.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### uis

    protected java.util.Vector uis

  The Vector containing the real UI's. This is populated in the call to createUI, and can be obtained by calling getUIs. The first element is guaranteed to the real UI obtained from the default look and feel.

Constructor Detail

### MultiTreeUI

    public MultiTreeUI()

Method Detail

### getUIs

    public ComponentUI[] getUIs()

  Return the list of UI's associated with this multiplexing UI. This allows processing of the UI's by an application aware of multiplexing UI's on components.

### getPathBounds

    public java.awt.Rectangle getPathBounds(JTree a,
                                            TreePath b)

  Call getPathBounds on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    getPathBounds in class TreeUI

### getPathForRow

    public TreePath getPathForRow(JTree a,
                                  int b)

  Call getPathForRow on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    getPathForRow in class TreeUI

### getRowForPath

    public int getRowForPath(JTree a,
                             TreePath b)

  Call getRowForPath on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    getRowForPath in class TreeUI

### getRowCount

    public int getRowCount(JTree a)

  Call getRowCount on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    getRowCount in class TreeUI

### getClosestPathForLocation

    public TreePath getClosestPathForLocation(JTree a,
                                              int b,
                                              int c)

  Call getClosestPathForLocation on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    getClosestPathForLocation in class TreeUI

### isEditing

    public boolean isEditing(JTree a)

  Call isEditing on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    isEditing in class TreeUI

### stopEditing

    public boolean stopEditing(JTree a)

  Call stopEditing on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    stopEditing in class TreeUI

### cancelEditing

    public void cancelEditing(JTree a)

  Call cancelEditing on each UI handled by this MultiUI.
  Overrides:
    cancelEditing in class TreeUI

### startEditingAtPath

    public void startEditingAtPath(JTree a,
                                   TreePath b)

  Call startEditingAtPath on each UI handled by this MultiUI.
  Overrides:
    startEditingAtPath in class TreeUI

### getEditingPath

    public TreePath getEditingPath(JTree a)

  Call getEditingPath on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    getEditingPath in class TreeUI

### installUI

    public void installUI(JComponent a)

  Call installUI on each UI handled by this MultiUI.
  Overrides:
    installUI in class ComponentUI

### uninstallUI

    public void uninstallUI(JComponent a)

  Call uninstallUI on each UI handled by this MultiUI.
  Overrides:
    uninstallUI in class ComponentUI

### paint

    public void paint(java.awt.Graphics a,
                      JComponent b)

  Call paint on each UI handled by this MultiUI.
  Overrides:
    paint in class ComponentUI

### update

    public void update(java.awt.Graphics a,
                       JComponent b)

  Call update on each UI handled by this MultiUI.
  Overrides:
    update in class ComponentUI

### getPreferredSize

    public java.awt.Dimension getPreferredSize(JComponent a)

  Call getPreferredSize on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    getPreferredSize in class ComponentUI

### getMinimumSize

    public java.awt.Dimension getMinimumSize(JComponent a)

  Call getMinimumSize on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    getMinimumSize in class ComponentUI

### getMaximumSize

    public java.awt.Dimension getMaximumSize(JComponent a)

  Call getMaximumSize on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    getMaximumSize in class ComponentUI

### contains

    public boolean contains(JComponent a,
                            int b,
                            int c)

  Call contains on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    contains in class ComponentUI

### createUI

    public static ComponentUI createUI(JComponent a)

  Return a multiplexing UI instance if any of the auxiliary LookAndFeels support this UI. Otherwise, just return a UI obtained using the normal methods.

### getAccessibleChildrenCount

    public int getAccessibleChildrenCount(JComponent a)

  Call getAccessibleChildrenCount on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    getAccessibleChildrenCount in class ComponentUI

### getAccessibleChild

    public Accessible getAccessibleChild(JComponent a,
                                         int b)

  Call getAccessibleChild on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    getAccessibleChild in class ComponentUI

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.